Update previous patch fixing bug #383901 with comments on this bug. --- eclass/gnome2.eclass | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index 750f20b..592585c 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -260,7 +260,7 @@ gnome2_src_install() {
if has ${EAPI:-0} 0 1 2 3 4; then
if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
ebegin "Removing .la files"
- if ! { in_iuse static-libs && use static-libs; }; then
+ if ! use_if_iuse static-libs ; then
find "${D}" -name '*.la' -exec rm -f {} + ||
die "la file removal failed"
fi
eend
--
1.8.1
signature.asc
Description: This is a digitally signed message part
